using System;

namespace Oefening_2
{
    public class Swapper
    {
        static public void Swap<T>(ref T a, ref T b)
        {
            T temp = a;
            a = b;
            b = temp;
        }

        static public void SwapInt(ref int a, ref int b)
        {
            int temp = a;
            a = b;
            b = temp;
        }

        static public void SwapString(ref string a, ref string b)
        {
            string temp = a;
            a = b;
            b = temp;
        }
    }
}
